<script type="text/javascript">
$(document).ready(function(){
    $(function(){
        $("#theList.barang tr:even").addClass("stripe1");
        $("#theList.barang tr:odd").addClass("stripe2");

        $("#theList.barang tr").hover(
            function(){
                $(this).toggleClass("highlight");
            },
            function(){
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function pilih(ID){
		var kode = ID;
		var kodepl = $("#txt_kodeplg").val();
				
		$.ajax({
			type		: "POST",
			url		: "modul/penjualan/cari_barang.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_kodest").val(data.kodest);
				$("#txt_namast").val(data.namast);
				$("#txt_satuan").val(data.satuan);
				$("#txt_jmlunit").val(data.jmlunit);
				$("#txt_hgjual").val(data.hgjual);
				$("#txt_disc").val(data.disc);
				$("#txt_hgbeli").val(data.hgbeli);
				$("#txt_hba").val(data.hba);
				$("#txt_jmlstok").val(data.jmlstok);
				$("#form_cari_barang").dialog('close');
				$("#txt_caribr").val('');
				$("#txt_jmlunit").focus();
			}
		});
	}
</script>
<?php
include '../../inc/inc.koneksi.php';
$cari	= $_GET['cari'];

echo "<table id='theList' class='barang' width='100%'>
		<tr>
			<th>Kode</th>
			<th>Nama Barang</th>
			<th>Satuan</th>
			<th>Harga Jual</th>
			<th>Jml. Stok</th>
			<th>Ambil</th>
		</tr>";
		if (!empty($cari))
			$sql = "SELECT * FROM stock WHERE kode_st LIKE '%$cari%' OR nama_st LIKE '%$cari%' ORDER BY kode_st";
		else
			$sql = "SELECT * FROM stock ORDER BY kode_st";
			
		$query = mysql_query($sql);
		$jml_data = mysql_num_rows($query);
		$no=1;
		while($r_data=mysql_fetch_array($query)){
			echo "<tr>
					<td>$r_data[kode_st]</td>
					<td>$r_data[nama_st]</td>
					<td>$r_data[satuan]</td>
					<td>".number_format($r_data[hg_jual],0)."</td>
					<td>$r_data[jml_stok]</td>
					<td align='center'>
						<a href='javascript:void(0)' onClick=\"pilih('$r_data[kode_st]')\">
						<img src='icon/download.gif' border='0' id='tambah_data' title='Tambah' width='12' height='12' >
					</a>					
					</td>
					</tr>";
			$no++;			
		}
	echo "</table>";
?>